Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 452578 - [seden overlay] dev-util/eclipse-sdk-3.7.1-r9 fails to start when <dev-java/swt-3.7 is installed (patch included)
Summary: [seden overlay] dev-util/eclipse-sdk-3.7.1-r9 fails to start when <dev-java/s...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sven Eden
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-16 17:18 UTC by Michael Seifert
Modified: 2013-09-20 08:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Eclipse error on start (file_452578.txt,2.18 KB, text/plain)
2013-01-16 17:18 UTC, Michael Seifert
Details
eclipse-3.7.1-r9.patch (file_452578.txt,872 bytes, text/plain)
2013-01-16 17:19 UTC, Michael Seifert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Seifert 2013-01-16 17:18:11 UTC
Created attachment 335850 [details]
Eclipse error on start

Symptoms
The mentioned ebuild depends on dev-java/swt-3.7.2. However, if an swt version with a lower slot number is installed on the machine in parallel, eclipse-3.7 will not start (see attachments).

Problem
It turned out that the symlinks for the SWT native libraries in /usr/lib/ point to the older version of SWT.

Possible solutions
- Apply the patch (see attachment) to the ebuild
- Unmerge older versions of SWT

Explanation of the patch
The patch addresses the symlink creation for the native libraries. First it derives the major and minor version of the SWT native libraries from the required SWT version (e.g. 3.7.2 becomes 37**). This number will be used when listing the available libraries (e.g. "ls /usr/lib/libswt-gtk-*.so" becomes "ls /usr/lib/libswt-gtk-37*.so") and chooses the one with the highest version number as link target (by calling "ls -r" instead of "ls").
Comment 1 Michael Seifert 2013-01-16 17:19:26 UTC
Created attachment 335852 [details]
eclipse-3.7.1-r9.patch
Comment 2 Jeroen Roovers gentoo-dev 2013-01-16 18:11:59 UTC
Assignee: 	sven.eden@gmx.de did not match anything
Comment 3 Jeroen Roovers gentoo-dev 2013-01-16 18:14:16 UTC
(In reply to comment #2)
> Assignee: 	sven.eden@gmx.de did not match anything

Fixed that in http://www.gentoo.org/proj/en/overlays/repositories.xml for you.
Comment 4 Sven Eden 2013-01-17 08:47:14 UTC
Michael, thank you very much!

I am currently working on an updated ebuild and I will add your patch to it.

(In reply to comment #3)
> (In reply to comment #2)
> > Assignee: 	sven.eden@gmx.de did not match anything
> 
> Fixed that in http://www.gentoo.org/proj/en/overlays/repositories.xml for
> you.

Thank you very much! I always thought the "did not match anything" had something to do with wrong contents in metadata.xml. Never thought about the repository itself.
Comment 5 Sven Eden 2013-01-17 09:24:25 UTC
I am currently testing eclipse-sdk-3.7.12-r11 from my overlay. Before I mark this bug as "RESOLVED", I'd like to have other positive test results. Thanks a lot!
Comment 6 Sven Eden 2013-09-20 08:38:08 UTC
The current ebuild from my overlay *should* work fine regarding this bug.

However, I have given up on eclipse-3.7, because dev-util/eclipse-sdk-bin-4.2.1* works without problems on all my systems now.